Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.simpleparser
Class IanaEncodings

    java.lang.Object
      com.lowagie.text.xml.simpleparser.IanaEncodings

    public class IanaEncodings

extends Object

Translates a IANA encoding name to a Java encoding.

Field Summary
`private static HashMap` | `map` The object that maps IANA to Java encodings.

Constructor Summary
`IanaEncodings()`

Method Summary
`static String` | `getJavaEncoding(String iana)` Gets the java encoding from the IANA encoding.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    private static final HashMap map

  The object that maps IANA to Java encodings.

Constructor Detail

### IanaEncodings

    public IanaEncodings()

Method Detail

### getJavaEncoding

    public static String getJavaEncoding(String iana)

  Gets the java encoding from the IANA encoding. If the encoding cannot be found it returns the input.

  Parameters:
    `iana` - the IANA encoding
  Returns:
    the java encoding

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD